footer{}
//====================================================================================================
.footer {
}
.footer__content {
}
._container {
}
.footer__body {
    border-top: 1px solid #d8d8d8;
    display: grid;
    grid-template-columns: 250px 1fr 290px;
    @include adaptiv-value("padding-top",80,30,1);
    @include adaptiv-value("padding-bottom",60,30,1);
    @include adaptiv-value("column-gap",80,0,1);

    @media (max-width:$md1+px) {
        grid-template-rows: auto auto;
        grid-template-columns: 1fr 290px;
        
    }
    @media (max-width:$md2+px) {
        display: block;
    }
}
.footer__main {
    display: flex;
    flex-direction: column;
    align-items:flex-start;
    @media (max-width:$md1+px) {
        grid-column: span 2;
        @include adaptiv-value("margin-bottom",40,30,1);
        
    }
}
.footer__logo {
    margin: 0px 0px 16px/24px * 1em 0px;
}
._footer-title {
    @include adaptiv-value("font-size",24,20,1);
    line-height: 29/24 * 100%;
    color: #000;
    font-size: 700;
    font-weight: bold;
}
.footer__text {
    color: $graycolor;
    line-height: 150%;
    &:not(:last-child) {
        margin: 0px 0px 1em 0px;

    }
}
.footer__contacts {
}
.contacts-footer {
    display: flex;
    flex-direction:column;
    align-items:flex-start;
}
.contacts-footer__item {
    display: inline-flex;
    align-items: center;
    line-height: 150%;
    color: $graycolor;
    transition: color 0.3s ease 0s;
    &::before {
        margin: 0px 8px 0px 0px;
    }
    &:not(:last-child) {
        @include adaptiv-value("margin-bottom",16,10,1);
    }
    @media (any-hover: hover) {
        &:hover{
            color: $redcolor;
        }
    }
}
._icon-location {
}
._icon-phone {
}
.footer__menu {
    @media (max-width:$md2+px) {
        @include adaptiv-value("margin-bottom",40,30,1);
        
    }
}
.menu-footer {
    @media (min-width: $md3+px) {
        display: flex;

    }
}
.menu-footer__column {
    @media (min-width: $md3+px){
    flex: 0 1 33.333%;
}
    @media (max-width: $md3+px) {
        @include adaptiv-value("margin-bottom",30,15,1);
        
    }
}
.menu-footer__title {
    cursor: default;
    @media (min-width: $md3+px) {
        margin: 0px 0px 16px/24px * 1em 0px;  
    }
    ._init &{
        display: flex;
        width: 100%;
        flex-direction: row-reverse;
        justify-content: space-between;
        align-items:center;
        @extend ._icon-arrow-down;
        &::before {
            @extend %ic;
            font-size: 12px;
            transition: transform 0.3s ease 0s;
        }
    }
    &._active{
        &::before {
            transform: rotate(-180deg);
        }
    }
}
.menu-footer__list {
    li{
        &:not(:last-child) {
            margin: 0px 0px 15px 0px;
        }
    }
    @media (max-width:$md3+px) {
        padding: 15px 0 0 0;
    }
}
.menu-footer__link {
    color: $darkGraycolor;
    transition: color 0.3s ease 0s;
    line-height: 120%;
    font-weight: 500;
    @media (any-hover: hover) {
        &:hover{
            color: $redcolor;
        }
    }
}
.footer__subscribe {
}
.subscribe {
}
.subscribe__title {
    margin: 0px 0px 16px/24px * 1em 0px;
}
.subscribe__form {
    display: flex;
    position: relative;
    .form__error{
        position: absolute;
        top: 100%;
        margin: 3px 0px 0px 0px;
        left: 12px;
        color:red;
        font-size: 14px;
    }
}
.input {
}
._req {
}
._email {
}
.subscribe__button {
    flex: 0 0 45px;
    height: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    background-color: $redcolor;
    color: #fff;
    transition: background-color 0.3s ease 0s;
    margin: 0px 0px 0px 4px;
    @media (any-hover: hover) {
        &:hover{
            background-color: #ac5454f1;
        }
    }
}
.subscribe__input{
    width: 100%;
    padding: 0px 12px;
    background: #f4f5f7;
    color: #828282;
}
._icon-send {
}
//====================================================================================================

